/// <reference types="react" />
type AlertDialogProps = {
    title: string;
    content: string;
    setIsOpen: (isOpen: boolean) => void;
    isOpen?: boolean;
    yesAction?: () => void;
    noAction?: () => void;
    yesLabel?: string;
    noLabel?: string;
    showNoButton?: boolean;
};
declare function AlertDialog(props: AlertDialogProps): JSX.Element;
declare namespace AlertDialog {
    var defaultProps: {
        isOpen: boolean;
        yesAction: () => void;
        noAction: () => void;
        yesLabel: string;
        noLabel: string;
        showNoButton: boolean;
    };
}
export default AlertDialog;
