import { Context, Dispatch, PropsWithChildren, SetStateAction } from "react";
import { User } from "@one-profile/core";
type AppContextProvider = {
    user: User;
    getAccessToken: () => Promise<string>;
};
type AppConfig = {
    isUserClt?: boolean;
    accountId?: string;
};
export type AppContext = AppContextProvider & {
    appConfig: AppConfig;
    setAppConfig: Dispatch<SetStateAction<AppConfig>>;
};
export declare const appContext: Context<AppContext>;
export declare function AppContextProvider(props: PropsWithChildren<AppContextProvider>): JSX.Element;
export {};
